Bug 802605 - There is some reference to libra in stickshift and cartridge package.
There is some reference to libra in stickshift and cartridge package.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 00:26 EDT by Johnny Liu
Modified: 2013-11-17 19:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-13 00:26:08 EDT
Description of problem:
In git repo, use grep command to find out some reference to libra in stickshift package.

According to US1972, there should no reference to libra in stickshift and cartridge package.

Version-Release number of selected component (if applicable):
devenv_1659

How reproducible:
Always

Steps to Reproduce:
1. Git clone li git repo

2. cd to <li repo>/stickshift, run the following command to filter "li" and "libra" key strings.
$ find . | xargs grep -i libra | grep -v spec | grep -v README | grep -v "#"
<--snip-->
./abstract/abstract/info/connection-hooks/set-db-connection-info:    echo "$0 $@" | logger -p local0.notice -t libra_httpd_start
./node/lib/stickshift-node/express/setup_pam_fs_limits.sh:DEFAULT_LIBRA_SKEL_DIR=$GEAR_SKEL_DIR
./node/lib/stickshift-node/express/setup_pam_fs_limits.sh:LIBRA_MOUNTPOINT=`get_terminal_mountpoint $stickshift_dir`
./node/lib/stickshift-node/express/setup_pam_fs_limits.sh:QUOTA_FILE=$( echo ${LIBRA_MOUNTPOINT}/aquota.user | tr -s /)
./node/lib/stickshift-node/express/teardown_pam_fs_limits.sh:DEFAULT_LIBRA_SKEL_DIR=$GEAR_SKEL_DIR
./node/lib/stickshift-node/express/teardown_pam_fs_limits.sh:LIBRA_MOUNTPOINT=`get_terminal_mountpoint $stickshift_dir`
./node/lib/stickshift-node/express/teardown_pam_fs_limits.sh:QUOTA_FILE=$( echo ${LIBRA_MOUNTPOINT}/aquota.user | tr -s /)
./node/misc/bin/ss-trap-user:            syslog.syslog("Invalid repository: not in libra_root - %s: (%s)" % 
<--snip-->

$ find . | xargs grep -i "/li/" | grep -v spec | grep -v README | grep -v "#"
./node/lib/stickshift-node/express/teardown_pam_fs_limits.sh:CART_DIR=/usr/libexec/li/cartridges

3. cd to <li repo>/cartridge, run the following command to filter "li" and "libra" key string.
$ find . | xargs grep -i 'libra' | grep -v spec | grep -v README | grep -v "#" | grep -v -i librar
<--snip-->
./haproxy-1.4/info/connection-hooks/set-db-connection-info:    echo "$0 $@" | logger -p local0.notice -t libra_httpd_start
<--snip-->


  
Actual results:
Find out some reference to "libra", "li", or "LIBRA".

Expected results:
There should no any reference to "libra", "li", or "LIBRA".

Additional info:
Comment 1 Rob Millner 2012-03-13 13:52:30 EDT
Variable names and error message text should be a safe enough change.

The logger tag (libra_httpd_start) may have complications outside of its related user story.
Comment 2 Rob Millner 2012-03-13 14:10:22 EDT
Fixed some references from /usr/libexec/li to /usr/libexec/stickshift in commit 5ea18ad.
Comment 3 Johnny Liu 2012-03-13 22:16:38 EDT
(In reply to comment #1)
> Variable names and error message text should be a safe enough change.
> 
Agree, that is why I set priority to "medium".

> The logger tag (libra_httpd_start) may have complications outside of its
> related user story.
Hmmm, about "libra_httpd_start" tag, Compared with logger tag in <li.repo>/stickshift/abstract/abstract/info/connection-hooks/publish-git-url, found it is using "stickshift_node_publish_git_url" logger tag, so I think the logger tag (libra_httpd_start) should be fixed, too.
Comment 4 Rob Millner 2012-03-14 17:04:34 EDT
Commits f7757c9, ee38651, and bf5bc21 rename libra-proxy to stickshift-proxy.
Comment 5 Johnny Liu 2012-03-14 23:52:49 EDT
Verified this bug with devenv_1662, and PASS.

[jialiu@Johnny-Laptop cartridges]$ find . | xargs grep -i 'libra' | grep -v spec | grep -v README | grep -v "#" | grep -v -i librar
grep: ./jenkins-1.4/info/configuration/jenkins-pre-deploy/plugins/openshift.hpi: No such file or directory
./haproxy-1.4/info/bin/gear-scale-ctl.rb:  -h|--host        libra server host running broker
./haproxy-1.4/info/bin/remove-gear:  -h|--host        libra server host running broker
./haproxy-1.4/info/bin/add-gear:  -h|--host        libra server host running 



[jialiu@Johnny-Laptop stickshift]$ find . | xargs grep -i 'libra' | grep -v spec | grep -v README | grep -v "#" | grep -v -i librar
./broker/config/environments/test.rb:        :user => "libra",

Note You need to log in before you can comment on or make changes to this bug.